# CustomBookMeta (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.nms

## Class CustomBookMeta

- java.lang.Object
- - de.epiceric.shopchest.nms.CustomBookMeta

    public class CustomBookMeta
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CustomBookMeta.Generation`

### Constructor Summary

Constructors
Constructor and Description
`CustomBookMeta()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CustomBookMeta.Generation` `getGeneration(org.bukkit.inventory.ItemStack book)`
`static void` `setGeneration(org.bukkit.inventory.ItemStack book, CustomBookMeta.Generation generation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomBookMeta

    public CustomBookMeta()

### Method Detail

#### getGeneration

    public static CustomBookMeta.Generation getGeneration(org.bukkit.inventory.ItemStack book)

#### setGeneration

    public static void setGeneration(org.bukkit.inventory.ItemStack book,
                                     CustomBookMeta.Generation generation)